Drupal requirements

by Alex Benko, 2by2host
2011-01-11 18:12:18

Drupal requirements for the installation

The minimum disk space needed for Drupal installation is 40MB as indicated on Drupal's web site. We recommend at least 100MB which should allow enough room to have a variety of themes and modules on your Drupal site and have a backup of everything.

Drupal runs on both Apache and IIS with Apache being the recommended platform.

Recommended Web Servers

  1. Apache 1.3 or 2.x running on *nix, Windows or OS X platforms.
  2. IIS 5, 6 or 7 as long as PHP is configured correctly.

Recommended Database Servers

  1. Drupal 5.x and earlier need MySQL 3.23.17 and up.
  2. Drupal 6 needs MySQL 4.1 and up.
  3. Drupal 7 needs MySQL 5.0.15 and up.
  4. Drupal 7 will also run on PostgreSQL 7.4 and up.

Note: Some inexpensive hosting packages do not provide or support the following database account rights: ALTER, SELECT, UPDATE, INSERT, DELETE, DROP, CREATE, INDEX. That is why we strongly recommend using either our fully managed hosting plan or self managed GoEasy plan - both fully support Drupal and we also offer our support to address any issue.

Recommended PHP versions

  1. PHP 5.2.x is recommended
  2. PHP 4.3.5 is required.

There are a lot of subtleties in Drupal's requirements that can be easily overlooked even after examining them carefully. Two of our hosting plans have been tailored to work with Drupal and our managed shared hosting is perfect for somebody who needs us to manage their Drupal site or our GoEasy plan for somebody who will run everything on their own. This allows the best approach to Drupal web hosting.